cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joe Bowser (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CB-10115) Default android project fails compilation with gradle 2.8
Date Mon, 07 Dec 2015 22:50:10 GMT

     [ https://issues.apache.org/jira/browse/CB-10115?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Joe Bowser updated CB-10115:
----------------------------
    Priority: Minor  (was: Major)

This is a known issue, and if you're using Android Studio this automatically gets detected
and fixed when you import the project into it in the first place.

> Default android project fails compilation with gradle 2.8
> ---------------------------------------------------------
>
>                 Key: CB-10115
>                 URL: https://issues.apache.org/jira/browse/CB-10115
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: Android
>            Reporter: Robert Hoffmann
>            Priority: Minor
>
> gradle --version
> >>
> Gradle 2.8
> Groovy:       2.4.4
> Ant:          Apache Ant(TM) version 1.9.3 compiled on December 23 2013
> JVM:          1.7.0_45 (Oracle Corporation 24.45-b08)
> OS:           Mac OS X 10.10.5 x86_64
> <<
> Create a project with cordova-android-5.0.0
> ./cordova-android-5.0.0/bin/create x com.x.X X
> cd x
> ./cordova/run
> >> WORKS
> Now, install with Intellij 14 using external gradle model fails compiling:
> >> 
> Error:Gradle: Execution failed for task ':CordovaLib:compileDebugAidl'.
> > Executor Singleton not started
> <<
> To make it work use newer Android Gradle plugin!
> See http://developer.android.com/tools/revisions/gradle-plugin.html
> >>
>     if (gradle.gradleVersion >= "2.2") {
>         dependencies {
> // WORKS        
>  classpath 'com.android.tools.build:gradle:1.5.0'
> // DOES NOT WORK           classpath 'com.android.tools.build:gradle:1.0.0+'
>         }
>     } else if (gradle.gradleVersion >= "2.1") {
>         dependencies {
>             classpath 'com.android.tools.build:gradle:0.14.0+'
>         }
>     } else {
>         dependencies {
>             classpath 'com.android.tools.build:gradle:0.12.0+'
>         }
>     }
> <<



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message